package com.enterprise.manage.modules.system.domain.po;

import com.enterprise.manage.common.base.BaseDomain;

import java.util.List;

/**
 * system role table
 *
 * @author PeiZhi Guo
 * 2021-2-27 16:04
 */
public class Role extends BaseDomain {

    private Integer id;

    private String  name; //名称

    private String  code; //标识

    private Integer sort; //排序

    private Integer enable; //启用状态 0禁用 1正常

    private List<Menu> menuList; //角色权限

    @Override
    public void insertConfigure() {
        this.enable = 1;
        super.insertConfigure();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public List<Menu> getMenuList() {
        return menuList;
    }

    public void setMenuList(List<Menu> menuList) {
        this.menuList = menuList;
    }
}
